Skip to content
Start here

Get URL Intelligence

GET/accounts/{account_id}/intel/url

Gets security information about a URL, including content categories and risk types. The URL must be provided as a query parameter.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Intel WriteIntel Read
Path ParametersExpand Collapse
account_id: string

Identifier.

maxLength32
Query ParametersExpand Collapse
url: string

The URL to look up.

ReturnsExpand Collapse
errors: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
messages: array of object { code, message, documentation_url, source }
code: number
minimum1000
message: string
documentation_url: optional string
source: optional object { pointer }
pointer: optional string
success: true

Whether the API call was successful.

result: optional URL { content_categories, full_url, hostname, 2 more }
content_categories: array of object { id, name, source_id, super_category_id }

Content categories associated with this URL.

id: optional number
name: optional string
source_id: optional number
super_category_id: optional number
full_url: string

The full URL that was looked up.

hostname: string

The hostname of the URL.

risk_type: array of object { id, name, source_id, super_category_id }

Security risk types associated with this URL.

id: optional number
name: optional string
source_id: optional number
super_category_id: optional number
url_path: string

The path component of the URL.

Get URL Intelligence

curl https://api.cloudflare.com/client/v4/accounts/$ACCOUNT_ID/intel/url \
    -H "Authorization: Bearer $CLOUDFLARE_API_TOKEN"
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "content_categories": [
      {
        "id": 155,
        "name": "Technology",
        "source_id": 1,
        "super_category_id": 26
      }
    ],
    "full_url": "https://example.com/path",
    "hostname": "example.com",
    "risk_type": [
      {
        "id": 0,
        "name": "name",
        "source_id": 0,
        "super_category_id": 0
      }
    ],
    "url_path": "/path"
  }
}